> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/enterprise-guide/api-troubleshooting/api-parameters.md).

# API Parameters

## Prerequisite

Prior to working with the API endpoints, your Keeper representative will provide you with the following:

* Partner name
* salt

You'll need this information to receive a successful response by the API endpoint.

{% hint style="warning" %}
If you don't have the Partner name or salt, contact your Keeper representative.
{% endhint %}

## API Parameters

Keeper Provision APIs require the following API Parameters to be passed to the API endpoint to get a successful request:

<table><thead><tr><th width="279">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>transaction_id (string)</td><td>Partner Transaction ID. This is a custom ID that you create for your reference.<br>Example: "0001", "user1"</td></tr><tr><td>first_name (string)</td><td>User's first name</td></tr><tr><td>last_name (string) (optional)</td><td>User's last name</td></tr><tr><td>email (string)</td><td>User's email address<br>This is the email that will receive the invitation email to create an account</td></tr><tr><td>hash (string)</td><td>This is the salted hash you generate by hashing the User's email and Salt key provided by Keeper with SHA-256:<br><code>hash = SHA256.hexdigest.bytesToHex(email + salt )</code></td></tr><tr><td>partner_name (string)</td><td>The expected Partner Name is provided by your Keeper representative</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/enterprise-guide/api-troubleshooting/api-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
